Last Comment Bug 483217 - prbool violation in /content/html/content/src/nsHTMLButtonElement.cpp
: prbool violation in /content/html/content/src/nsHTMLButtonElement.cpp
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: Layout (show other bugs)
: unspecified
: x86 Linux
: -- normal (vote)
: ---
Assigned To: Graeme McCutcheon [:graememcc]
:
Mentors:
Depends on:
Blocks: 345339
  Show dependency treegraph
 
Reported: 2009-03-13 08:01 PDT by (dormant account)
Modified: 2009-03-14 07:44 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Fix (556 bytes, patch)
2009-03-13 12:49 PDT, Graeme McCutcheon [:graememcc]
bzbarsky: review+
bzbarsky: superreview+
Details | Diff | Review

Description (dormant account) 2009-03-13 08:01:55 PDT
bug 345339 introduced a violation, comiter's email is bouncing prbool complaints, so I'm filing this.

Graeme McCutcheon <graememcc_firefox@graeme-online.co.uk> introduced a new PRBool problem in changeset http://hg.mozilla.org/mozilla-central/rev/89840ed77dc8 of nsHTMLButtonElement.cpp.

Commit message: Bug 345339.  Make nsPresState not use a hashtable in favor of using less memory and only storing the things it really wants to store.  Switch box objects to their own hashtable.  r+sr=roc

Error: /content/html/content/src/nsHTMLButtonElement.cpp:
 601: In macro NS_ENSURE_ARG_POINTER

http://mxr.mozilla.org/mozilla-central/source/content/html/content/src/nsHTMLButtonElement.cpp#601

See Taras' blog for more info about prbool bugs
http://blog.mozilla.com/tglek/2008/11/07/enabling-prcheck-email-notifications/#respond
Comment 1 Boris Zbarsky [:bz] (Out June 25-July 6) 2009-03-13 10:21:13 PDT
Er, yes.  This is bad.  On error, this will return a true value.

Graeme, want to fix?
Comment 2 Graeme McCutcheon [:graememcc] 2009-03-13 12:49:19 PDT
Created attachment 367275 [details] [diff] [review]
Fix

Meh. I fail - that was a straight copy from Karthik's original patch, should have scrutinised it more closely.
Comment 3 Boris Zbarsky [:bz] (Out June 25-July 6) 2009-03-13 13:32:03 PDT
Pushed http://hg.mozilla.org/mozilla-central/rev/9a3b3f52eca3

Graeme, is this something we need to fix on 1.9.1 too?
Comment 4 Graeme McCutcheon [:graememcc] 2009-03-13 13:36:42 PDT
> Graeme, is this something we need to fix on 1.9.1 too?

No. 345339 landed on trunk only.

Note You need to log in before you can comment on or make changes to this bug.